HP Views Designer Assistant: Information Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Attributes | List of all members
Information Class Reference

The Information class. Represents Information screens. More...

`#include <information.h>`

Inheritance diagram for Information:

## Public Member Functions

| Information ()
| Information constructor.
QVector< Card * > * | getCards ()
| getCards Returns list of the information screen cards. More...
void | setCards (QVector< Card *> *value)
| setCards Repalces information screen cards. More...
void | createCards ()
| createCards Creates a list of empty cards. The size of the list is determined by the numberOfElements value of the Interfaz.
void | addProperty (int card, QString property, QString value)
| addProperty Adds new property to the specified card. More...
void | addProperty (int card, int propertyIndex, QString property, QString value)
| addProperty Adds new property to the specified card into the specified property index. More...
void | removeProperty (int card, int indexProperty)
| removeProperty Removes the specified property at the specified card. More...
int | hasMaximumOfProoperties (int card)
| hasMaximumOfProoperties Returns if the card admits more properties. More...
int | getNumberOfProperties (int card)
| getNumberOfProperties Returns the number of properties in the specified card. More...
QString | getCardTitle (int card)
| getCardTitle Returns the title of the specified card. More...
void | setCardTitle (int card, QString title)
| setCardTitle Replaces the title of the specified card. More...
QString | getCardImage (int card)
| getCardImage Returns the image path of the specified card. More...
void | setCardImage (int card, QString path)
| setCardImage Raplaces the image path of the specified card. More...
QStringList | takeProperty (int card, int indexProperty)
| takeProperty Returns and remove the speficied property at the card. More...
QStringList | getProperty (int card, int indexProperty)
| getProperty Returns the specified property at the card. More...
int | getCardCols ()
| getCardCols Returns the maximum number of columns in the cards. More...
void | setCardCols (int value)
| setCardCols Raplaces the number of columns in the cards. More...
int | getCardRows ()
| getCardRows Returns the maximum number of rows in the cards. More...
void | setCardRows (int value)
| setCardRows Replaces the number of rows in the cards. More...
void | addEmptyLeftProperties (int card)
| addEmptyLeftProperties Adds empty properties until the maximum number of properties in the card is reached. More...
void | resizeNumberOfCards ()
| resizeNumberOfCards Appends or removes cards in order not to exceed the maximum number of cards.
void | resizeNumberOfProperties ()
| resizeNumberOfProperties Appends of removes properties in order not to exceed the maximum number of properties.
Public Member Functions inherited from Interfaz
| Interfaz ()
| Interfaz constructor.
int | getHeight ()
| getHeigth Returns the screen height. More...
void | setHeigth (int height)
| setHeigth Replaces the screen height. More...
int | getWidth ()
| getWidth Returns the screen width. More...
void | setWidth (int width)
| setWidth Repalces the screen width. More...
int | getNumberOfElements () const
| getNumberOfElements Returns the screen number of elements. More...
void | setNumberOfElements (int value)
| setNumberOfElements Raplaces the screen number of elements. More...
int | getNumberOfRows () const
| getNumberOfRows Returns the screen number of rows. More...
void | setNumberOfRows (int value)
| setNumberOfRows Raplaces the screen number of rows. More...
int | getNumberOfCols () const
| getNumberOfCols Returns the screen number of columns. More...
void | setNumberOfCols (int value)
| setNumberOfCols Replaces the screen number of columns. More...
QString | getImageBackground () const
| getImageBackground Returns the screen background image path. More...
void | setImageBackground (QString value)
| setImageBackground Replaces the screen background image path. More...
QColor | getColorBackground ()
| getColorBackground Returns the screen background color. More...
void | setColorBackground (const QColor &value)
| setColorBackground Repalces the screen background color. More...
bool | getHasIcons () const
| getHasIcons Returns if the interface has icons. More...
void | setHasIcons (bool value)
| setHasIcons Specifies if the interfaces has icons. More...
bool | getHasImageBackground () const
| getHasImageBackground Returns if the interface has an image background. More...
void | setHasImageBackground (bool value)
| setHasImageBackground Specifies if the interface has an image background. More...

## Private Attributes

int | cardCols
| cardCols Maximum columns card number.
int | cardRows
| cardRows Maximum rows card number.
QVector< Card * > * | cards
| cards List of cards in the interface.

## Additional Inherited Members

Protected Attributes inherited from Interfaz
int | numberOfElements
| numberOfElements Screen number of elements.

## Detailed Description

The Information class. Represents Information screens.

## Member Function Documentation

## ◆ addEmptyLeftProperties()

void Information::addEmptyLeftProperties | ( | int | card | ) |

addEmptyLeftProperties Adds empty properties until the maximum number of properties in the card is reached.

Parameters

  card | Index of the card.

## ◆ addProperty() [1/2]

void Information::addProperty | ( | int | card,
|  | QString | property,
|  | QString | value
| ) |  |

addProperty Adds new property to the specified card.

Parameters

  card | Index of the card to add the property.
  property | Property name.
  value | Property value.

## ◆ addProperty() [2/2]

void Information::addProperty | ( | int | card,
|  | int | propertyIndex,
|  | QString | property,
|  | QString | value
| ) |  |

addProperty Adds new property to the specified card into the specified property index.

Parameters

  card | Index of the card to add the property.
  propertyIndex | Index of the property.
  property | Property name.
  value | Property value.

## ◆ getCardCols()

int Information::getCardCols | ( |  | ) |

getCardCols Returns the maximum number of columns in the cards.

Returns
  Number of columns in the cards.

## ◆ getCardImage()

QString Information::getCardImage | ( | int | card | ) |

getCardImage Returns the image path of the specified card.

Parameters

  card | Index of the card.

Returns
  Image path of the specified card.

## ◆ getCardRows()

int Information::getCardRows | ( |  | ) |

getCardRows Returns the maximum number of rows in the cards.

Returns
  Number of rows in the cards.

## ◆ getCards()

QVector< Card * > * Information::getCards | ( |  | ) |

getCards Returns list of the information screen cards.

Returns
  List of the cards.

## ◆ getCardTitle()

QString Information::getCardTitle | ( | int | card | ) |

getCardTitle Returns the title of the specified card.

Parameters

  card | Index of the card.

Returns
  Title of the specified card.

## ◆ getNumberOfProperties()

int Information::getNumberOfProperties | ( | int | card | ) |

getNumberOfProperties Returns the number of properties in the specified card.

Parameters

  card | Index of the card.

Returns
  Number of properties in the specified card.

## ◆ getProperty()

QStringList Information::getProperty | ( | int | card,
|  | int | indexProperty
| ) |  |

getProperty Returns the specified property at the card.

Parameters

  card | Index of the card.
  indexProperty | Index of the property.

Returns
  Property at the specified position in the card.

## ◆ hasMaximumOfProoperties()

int Information::hasMaximumOfProoperties | ( | int | card | ) |

hasMaximumOfProoperties Returns if the card admits more properties.

Parameters

  card | Index of the card.

Returns
  `True` if the card admits more properties, `false` otherwise.

## ◆ removeProperty()

void Information::removeProperty | ( | int | card,
|  | int | indexProperty
| ) |  |

removeProperty Removes the specified property at the specified card.

Parameters

  card | Index of the card.
  indexProperty | Index of the property to be removed.

## ◆ setCardCols()

void Information::setCardCols | ( | int | value | ) |

setCardCols Raplaces the number of columns in the cards.

Parameters

  value | Number of columns.

## ◆ setCardImage()

void Information::setCardImage | ( | int | card,
|  | QString | path
| ) |  |

setCardImage Raplaces the image path of the specified card.

Parameters

  card | Index of the card.
  path | Image path.

## ◆ setCardRows()

void Information::setCardRows | ( | int | value | ) |

setCardRows Replaces the number of rows in the cards.

Parameters

  value | Number of rows.

## ◆ setCards()

void Information::setCards | ( | QVector< Card *> * | value | ) |

setCards Repalces information screen cards.

Parameters

  value | List of cards.

## ◆ setCardTitle()

void Information::setCardTitle | ( | int | card,
|  | QString | title
| ) |  |

setCardTitle Replaces the title of the specified card.

Parameters

  card | Index of the card.
  title | Title of the card.

## ◆ takeProperty()

QStringList Information::takeProperty | ( | int | card,
|  | int | indexProperty
| ) |  |

takeProperty Returns and remove the speficied property at the card.

Parameters

  card | Index of the card.
  indexProperty | Index of the property.

Returns
  Property at the specified position in the card.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Model/information.h
- D:/Documentos/ViewDesignerAssistant/Model/information.cpp